﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Prsi.Entities.CardsStates
{
    class UsedAceState : NormalCardState
    {
        public UsedAceState(IConfigurableCard Card) 
            : base(Card) {} 

        public override void ActionAfterPutedOnStack()
        {
            _Card.SetState(CardStatesEnum.WaitingAceState);
        }

        public override CardStatesEnum ID
        {
            get { return CardStatesEnum.UsedAceState; }
        }
    }
}
