﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Prsi.Entities
{
    /// <summary>
    /// Represent class, that contains player and stack
    /// </summary>
    interface IEntitiesContainer
    {
        /// <summary>
        /// Get all players in game
        /// </summary>
        IPlayer[] Players { get; }

        /// <summary>
        /// Return stack in game
        /// </summary>
        IStack Stack { get; }
    }
}
