﻿using Prsi.ConsoleOperation;
using Prsi.ViewModels.Interfaces;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Prsi.ViewModels
{
    class ExceptionViewModel : BaseViewModel, IExceptionViewModel
    {
        public ExceptionViewModel(IMyConsole IO,IOutputFormater Formater)
            : base(IO,Formater) {}

        public void ShowException(Exception e)
        {
            string[] messages = {"Error occurs in program and will be exited",
                                 "Reason of error",
                                 e.Message,
                                 String.Format("Program ended with state {0}",(int)e.Data["EndState"]),
                                 "Press any key to exit"};
            foreach (string s in messages)
                _IO.Text = _Formater.AlignLeft(s);
#if DEBUG
            string input = _IO.Text;
#endif
        }
    }
}
