﻿using Prsi.Entities;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Prsi.ViewModels.Interfaces
{
    interface IGameViewModel
    {
        void ClearOutput();

        void ShowActualPlayer(IPlayer Player);

        void ShowPlayersStats(Queue<IPlayer> Players,IPlayerViewModel PlayerViewModel);

        void ShowPlayQueue(Queue<IPlayer> Players);

        void ShowCardOnStack(ICard Card);

        void ShowWinners(IPlayer[] Players);
    }
}
