﻿using Prsi.ConsoleOperation;
using Prsi.Entities;
using Prsi.ViewModels.Interfaces;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Prsi.ViewModels
{
    class PlayerViewModel : BaseViewModel, IPlayerViewModel
    {

        public PlayerViewModel(IMyConsole IO, IOutputFormater Formater)
            : base(IO, Formater) { }

        public string GetPassword(string PlayerName)
        {
            string Messages = string.Format("Enter password for player {0}:",PlayerName);
            _IO.Text = _Formater.AlignLeft(Messages,Messages.Length);
            return _IO.Text;
        }


        public string GetInfo(IPlayer Player)
        {
            return string.Format("Player {0} : {1} cards",Player.Name,Player.CountOfCards);
        }


        public void InvalidPassword()
        {
            string Text = "Password is invalid, please repeat";
            _IO.Text = _Formater.AlignLeft(Text);
        }

        public void ValidPassowrd()
        {
            string Text = "Password accepted";
            _IO.Text = _Formater.AlignLeft(Text);
        }
    }
}
