﻿using Prsi.ConsoleOperation;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PrsiTests.ProgramAbstraction.ConsoleManipulation
{
    class InputAbstract : IMyConsole
    {

        #region ManageInputAndOutput
        private Queue<string> BufferOfInput = new Queue<string>();
        private List<string> BufferofOutput = new List<string>();

        public void AddTextToReturn(string Text)
        {
            BufferOfInput.Enqueue(Text);
        }

        public List<string> GetOutput()
        {
            return BufferofOutput;
        }

        public string GetOutput(int IndexOfMessage)
        {
            return BufferofOutput[IndexOfMessage];
        }

        public string Text
        {
            get
            {
                return BufferOfInput.Dequeue();
            }
            set
            {
                BufferofOutput.Add(value);
            }
        }
        #endregion

        #region ManagerWidth
        private int _WidthOfWin = 80;
        public int Width
        {
            set
            {
                _WidthOfWin = value;
            }
            get
            {
                return _WidthOfWin;
            }
        }
        #endregion


        public void Clear()
        {
            BufferofOutput.Add("Window was cleared");
        }


        public void Enter()
        {
            BufferofOutput.Add("Entered");
        }
    }
}
