﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Mau_Mau
{
    class ControlOfGame
    {
        // Tato třída kontroluje chyby během běhu aplikace
        public ControlOfGame()
        {

        }

        public void EndOfApplication(Player[] players)   // Konec aplikace při hře dvou hráčů
        {
            if (players.Length == 2)
            {
                Console.WriteLine("Napiš end pro ukončení aplikace!!!");
                string end = Console.ReadLine();
                while (!end.Equals("end"))
                {
                    Console.WriteLine("Musíš napsat end!!!");
                    end = Console.ReadLine();
                }

            }

            System.Environment.Exit(1);
        }

        public Player[] RemoveWinnerPlayer(Player[] player)   // Vyjme vítěze a muže se hrát dál
        {
            int index = 0;
            Player[] otherPlayers = new Player[player.Length - 1];
            for (int i = 0; i < player.Length; i++)
            {
                if (player[i].cards.Count != 0)
                {
                    otherPlayers[index] = player[i];
                    index++;
                }

            }

            return otherPlayers;
        }

        public bool ContinueInGame(Player[] players)   // Konec aplikace při hře více než dvou hráčů
        {
            if (players.Length > 2)
            {
                Console.WriteLine("Chcete pokračovat ve hře? Ano/Ne!!!");
                string decision = Console.ReadLine();

                while (!decision.Equals("Ano") && !decision.Equals("Ne"))
                {
                    Console.WriteLine("Musíš napsat Ano nebo Ne!!!");
                    decision = Console.ReadLine();
                    
                }

                if (decision.Equals("Ano"))
                {
                    return true;
                }
                else
                {
                    return false;
                }
            }
            else
            {
                return false;
            }

        }

        public bool HaveAllPlayersCards(Player[] players)   // Kontroluje, jestli mají všichni hráči karty
        {
            for (int i = 0; i < players.Length; i++)
            {
                if (players[i].cards.Count == 0)
                {
                    return false;
                }
            }
            return true;
        }



        public bool IsNumber(string countOfPlayer)   // Kontroluje, jestli zadaný počet hráčů je číslo
        {
            int number;
            bool isN = int.TryParse(countOfPlayer, out number);

            if (isN == false)
            {
                Console.WriteLine("Není číslo!!! Zadej znovu: ");
                return false;
            }
            else
            {
                return true;
            }


        }

        public bool TooLowerPlayers(string countOfPlayer)   // Kontroluje, jestli počet hráčů je alespoň dva
        {
            if (countOfPlayer.Equals("1") || countOfPlayer.Equals("0") || int.Parse(countOfPlayer) < 0)
            {
                Console.WriteLine("Málo hráčů!!! Zadej znovu: ");
                return false;
            }
            else
            {
                return true;
            }
        }


        public bool RightChooseOfCard(int choose, int countOfChoose)   // Kontroluje, jestli hráč volí kartu ze svěho balíku
        {
            if (choose < countOfChoose && choose >= 0)
            {
                return true;
            }
            else
            {
                Console.WriteLine("Nemáš tolik možností!!! Zadej znovu: ");
                return false;
            }
        }

        public bool rightChoice(int choice)  // Kontrola správného výběru, při volbě barvy karty Q 
        {
            if (choice < 5 && choice > 0)
            {
                return true;
            }
            else
            {
                return false;
            }

        }

    }
}
