﻿using Prsi.Modifikatory;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Prsi
{
    class Karta
    {
        public byte hodnota, symbol;
        public Modifikator mod;
        public string oznaceni // Označení karty -> bude se vypysovat v určitém zápise
        { get { return (Nastaveni.Symbol(symbol) + " " + Nastaveni.Karta(hodnota)); }}

        public Karta(byte hodnota, byte symbol)
        {
            this.hodnota = hodnota;
            this.symbol = symbol;
            this.mod = VyberModifikator();
        }

        private Modifikator VyberModifikator()
        {
            switch (hodnota)
            {
                case 5:
                    return new Sedma(); // Sedma
                case 10:
                    return new Sotek(); // Šotek
                case 12:
                    return new Eso(); // Eso
            }
            return new Modifikator();
        }
    }
}
