﻿using System;
namespace Prsi.ConsoleOperation
{
    /// <summary>
    /// Represent class, that will formate text
    /// </summary>
    interface IOutputFormater
    {
        #region Center
        string AlignCenter(string Text);
        string AlignCenter(string Text, char FillSymbol);
        string AlignCenter(string Text, int Width);
        string AlignCenter(string Text, int Width, char FillingSymbol);
        #endregion

        #region Left
        string AlignLeft(string Text);
        string AlignLeft(string Text, char FillSymbol);
        string AlignLeft(string Text, int Width);
        string AlignLeft(string Text, int Width, char FillingSymbol);
        #endregion

        #region Right
        string AlignRight(string Text);
        string AlignRight(string Text, char FillSymbol);
        string AlignRight(string Text, int Width);
        string AlignRight(string Text, int Width, char FillingSymbol);
        #endregion

        void Clear();
    }
}
