﻿using Prsi.Actions;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Prsi.Entities.CardsStates
{
    class NormalCardState : BaseCardState
    {
        public NormalCardState(IConfigurableCard Card)
            : base(Card) { }

        public override bool CanBePlaced(ICard First, ICard Second)
        {
            return First.Color == Second.Color || First.Value == Second.Value;
        }

        public override CardStatesEnum ID
        {
            get { return CardStatesEnum.NormalCardState; }
        }
    }
}
