﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Prsi.Entities.CardsStates
{
    class UsedSevenState : NormalCardState
    {
        public UsedSevenState(IConfigurableCard Card) 
            : base(Card) {} 

        public override void ActionAfterPutedOnStack()
        {
            _Card.SetState(CardStatesEnum.TakingSevenState);
        }

        public override CardStatesEnum ID
        {
            get { return CardStatesEnum.UsedSevenState; }
        }
    }
}
