﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Prsi.Entities.CardsStates
{
    class UsedSpadeKingState : NormalCardState
    {
        public UsedSpadeKingState(IConfigurableCard Card) 
            : base(Card) {} 

        public override void ActionAfterPutedOnStack()
        {
            _Card.SetState(CardStatesEnum.TakingSpadeKingState);
        }

        public override CardStatesEnum ID
        {
            get { return CardStatesEnum.UsedSpadeKingState; }
        }
    }
}
