﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Prsi.Entities
{
    /// <summary>
    /// Represent player, which is more configurable than player in game
    /// </summary>
    interface IConfigurablePlayer : IPlayer
    {
        /// <summary>
        /// Check password, if is same as passed
        /// </summary>
        /// <param name="PasswordToCheck">Password which will be chacked</param>
        /// <returns>True if passed password is same, else false</returns>
        bool CheckPassword(string PasswordToCheck);
    }
}
