﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Prsi.Entities
{
    /// <summary>
    /// Represent stack, that could be more configurable that normal stack
    /// </summary>
    interface IConfigurableStack : IStack
    {
        /// <summary>
        /// Order cards in stack randomly
        /// </summary>
        void MixCards();

        /// <summary>
        /// Get count of cards in stack
        /// </summary>
        int GetCountOfCards { get; }
    }
}
