﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Prsi
{
    /// <summary>
    /// Class that will load config
    /// </summary>
    interface IConfig
    {
        /// <summary>
        /// Load configuration
        /// </summary>
        void LoadConfiguration();

        /// <summary>
        /// Get cound of players in game
        /// </summary>
        int CountOfPlayers { get; }

        /// <summary>
        /// Get if enhanced set of cards will be used
        /// </summary>
        bool UseEnhancedSet { get; }

        /// <summary>
        /// Get count of cards, which will every player get in beginning
        /// </summary>
        int AmountOfCardForEachPlayer { get; }
    }
}
