﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Prsi
{
    /// <summary>
    /// Numbers, which can program return. Every state is in whole program just once, could be used for debugging.
    /// </summary>
    enum ProgramsEndStateEnum
    {
        NormalReturnState = 0,
        NotEnoughtCards,
        MoreActionsWithOneID,
        ActionContainerUnexpectedId,
        CardWasntFoundInPlayerHand,
        StateOfCardWasntFound,
        DupliciteStates,
        ConfigurationWasntLoaded,
        AddedPlayerNotOnRound
    }
}
