﻿using Prsi.ViewModels.Interfaces;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Prsi.ViewModels.Interfaces
{
    interface IViewModel
    {
        IWelcomeByeViewModel WelcomeBye{get;}
        IConfigViewModel Configure { get; }
        IFactoryViewModel Factory { get; }
        IExceptionViewModel Exception { get; }
        IPlayerViewModel Player { get; }
        IGameViewModel Game { get; }
        IActionViewModel Action { get; }
    }
}
