﻿using Prsi.Entities;
using Prsi.ViewModels.Interfaces;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PrsiTests.ProgramAbstraction.ViewModels
{
    class FactoryViewModelAbstraction : IFactoryViewModel
    {
        private Queue<IConfigurablePlayer> _Players = new Queue<IConfigurablePlayer>();

        public void AddPlayer(IConfigurablePlayer Player)
        {
            _Players.Enqueue(Player);
        }

        public IConfigurablePlayer CreatePlayer(int IndexOfPlayer)
        {
            return _Players.Dequeue();
        }
    }
}
