﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Mau_Mau
{
    class Rules: RulesInterface
    {
        public Rules()
        {

        }

        public string ChooseColor(string card, ControlOfGame cof)              // Pokud hráč zvolí Q (svršek), volí barvu, se kterou se bude dál hrát 
        {
            int dicision = -1;
            int[] colors = new int[] { 3, 4, 5, 6 };
            char[] cardArray = card.ToCharArray();
            if (cardArray[1] == 'Q')
            {
                Console.WriteLine("Vyber barvu!!!");
                for (int i = 0; i < colors.Length; i++)
                {
                    Console.WriteLine((i + 1) + ")" + (char)colors[i]);
                }
                dicision = int.Parse(Console.ReadLine());

                while(!cof.rightChoice(dicision)){
                    Console.WriteLine("Špatná volba!!! Zvol znovu!!!");
                    dicision = int.Parse(Console.ReadLine());
                }

                char color = (char)colors[dicision - 1];

                Console.Clear();
                return color.ToString();
            }
            else
            {
                Console.Clear();
                return " ";
            }


        }

        public bool GiveRightCard(string cardUpDeck, string card, string color)    // Kontroluje, jstli hráč hraje správnou kartou
        {
            char[] cardUpDeckArray = cardUpDeck.ToCharArray();   // Rozebrání karty na vrchu balíčku
            char[] cardArray = card.ToCharArray();               // Rozebrání zahrané karty

            char signOfCardOfDeck = cardUpDeckArray[0];

            string numberOfCardOfDeck = " ";
            if (color.Equals(" "))
            {
                if (cardUpDeckArray.Length == 3)      
                {
                    numberOfCardOfDeck = string.Concat(cardUpDeckArray[1], cardUpDeckArray[2]);
                }
                else
                {

                    numberOfCardOfDeck = string.Concat(cardUpDeckArray[1]);
                }
            }

            char signOfCard = cardArray[0];  
            string numberOfCard = " ";


            if (cardArray.Length == 3)
            {
                numberOfCard = string.Concat(cardArray[1], cardArray[2]);
            }
            else
            {
                numberOfCard = string.Concat(cardArray[1]);
            }



            if (signOfCardOfDeck == signOfCard)
            {
                return true;
            }
            else if (numberOfCardOfDeck.Equals(numberOfCard))
            {
                return true;
            }
            else
            {
                Console.WriteLine("Tuto kartu nemůžeš použít, zvol jinou!!!");
                return false;
            }

        }

        public int NextPlayer(int playerOnTurn, Player[] players, string card)    // Hra dalšího hráce
        {
            char[] cardArray = card.ToCharArray();
            if (playerOnTurn == players.Length - 1)
            {
                if (cardArray[1] == 'A')
                {
                    return 1;
                }
                else
                {
                    return 0;
                }

            }
            else
            {
                int turn;
                if (cardArray[1] == 'A')
                {
                    turn = playerOnTurn + 2;
                    if (turn == players.Length)
                    {
                        return 0;
                    }
                    else
                    {
                        return turn;
                    }

                }
                else
                {
                    turn = playerOnTurn + 1;
                    return turn;
                }

            }

        }

        public bool IsEmptyDeckOfCards(ArrayList cards)    // Kontroluje, jestli je balíček plný
        {
            if (cards.Count == 0)
            {
                Console.WriteLine("Balíček je prázdný!!! Otáčíme!!!");
                return true;
            }
            else
            {
                return false;
            }
        }

        public bool MustTakeTwoCards(int choose, Player[] players, int playerOnTurn)  // Kontroluje, jestli si hráč musí líznout dvě karty
        {
            if (choose != 0)
            {
                string card = (string)players[playerOnTurn].cards[choose - 1];
                char[] cardArray = card.ToCharArray();
                if (cardArray[1] == '7')
                {
                    return true;
                }
                else
                {
                    return false;
                }
            }
            else
            {
                return false;
            }
        }


    }

}
