﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Prsi
{
    interface IRules
    {
        RULE GetRuleNumber(Card lastPlayedCard);
        List<int> FindValideCards(Card lastPlayedCard, List<Card> playersHand);
        void DealCards();
        void PutCartOnTable(Card card);
        void ProcessAnswer(int answer, RULE rule, int playerWhoPlay, List<int> possibilities);
        bool FillEmptyDeck();
    }
}
